/* template.js, Copyright (C) 2007 - 2010 YOOtheme GmbH */

var YOOTemplate = {
		
	start: function() {

		/* Match height of div tags */
		matchHeights();

		/* Accordion menu */
		new YOOAccordionMenu('div#middle ul.menu li.toggler', 'ul.accordion', { accordion: 'slide' });

		/* Dropdown menu */
		var dropdown = new YOODropdownMenu('menu', { mode: 'slide', dropdownSelector: 'div.dropdown', transition: Fx.Transitions.Expo.easeOut });
		//dropdown.matchHeight();

		/* set hover color */
		switch (YtSettings.color) {
			case 'business':
			case 'businessplain':
				var menuEnter = '#E6E7E8';
				var menuLeave = '#ffffff';
				var submenuEnter = '#D7D8D9';
				var submenuLeave = '#ebeced';
				break;
			case 'vintage':
			case 'vintageplain':
				var menuEnter = '#e3ddc3';
				var menuLeave = '#f5f2e1';
				var submenuEnter = '#e3ddc3';
				var submenuLeave = '#f5f2e1';
				break;
			default:
				var menuEnter = '#E6E7E8';
				var menuLeave = '#F5F5F5';
				var submenuEnter = '#D7D8D9';
				var submenuLeave = '#ebeced';
		}

		/* Morph: main menu - level2 (bg) */
		var menuEnter = { 'background-color': menuEnter };
		var menuLeave = { 'background-color': menuLeave };

		new YOOMorph('#menu a.level2', menuEnter, menuLeave,
			{ transition: Fx.Transitions.linear, duration: 0 },
			{ transition: Fx.Transitions.sineIn, duration: 100 });

		/* Morph: sub menu - level1 (bg) */
		var submenuEnter = { 'background-color': submenuEnter };
		var submenuLeave = { 'background-color': submenuLeave };

		new YOOMorph('div.mod-rounded ul.menu li.level1', submenuEnter, submenuLeave,
			{ transition: Fx.Transitions.linear, duration: 100 },
			{ transition: Fx.Transitions.sineIn, duration: 100 });

		/* Smoothscroll */
		new SmoothScroll({ duration: 500, transition: Fx.Transitions.Expo.easeOut });

		/* Match height of div tags */
		function matchHeights() {
			YOOBase.matchHeight('div.headerbox div.deepest', 20);
			YOOBase.matchHeight('div.topbox div.deepest', 20);
			YOOBase.matchHeight('#bottom div.bottombox div.deepest', 20);
			YOOBase.matchHeight('#bottom2 div.bottombox div.deepest', 20);
			YOOBase.matchHeight('div.maintopbox div.deepest', 20);
			YOOBase.matchHeight('div.mainbottombox div.deepest', 20);
			YOOBase.matchHeight('div.contenttopbox div.deepest', 20);
			YOOBase.matchHeight('div.contentbottombox div.deepest', 20);
			YOOBase.matchHeight('#left, #right, #contentleft, #contentright', 20);
		}

	}

};

/* Add functions on window load */
window.addEvent('domready', YOOTemplate.start);